Bug 1249313 - Review Request: python-cmigemo - A pure python binding for C/Migemo
Summary: Review Request: python-cmigemo - A pure python binding for C/Migemo
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Julien Enselme
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1249329
TreeView+ depends on / blocked
 
Reported: 2015-08-01 14:40 UTC by Pavel Alexeev
Modified: 2016-01-04 19:57 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-01-04 18:52:59 UTC
jujens: fedora-review+


Attachments (Terms of Use)

Description Pavel Alexeev 2015-08-01 14:40:18 UTC
Spec URL: https://raw.githubusercontent.com/Hubbitus/Fedora-packaging/99739b0f70efb12a3a00c0bce369a21c45e7454c/SPECS/python3-cmigemo.spec
SRPM URL: http://rpm.hubbitus.info/Fedora22/python3-cmigemo/python3-cmigemo-0.1.6-1.fc22.src.rpm
Description: A C/Migemo binding for python written in pure python using ctypes.
Fedora Account System Username: hubbitus

Comment 1 Julien Enselme 2015-09-26 09:33:51 UTC
- Please  use the new macros to build the python package (%python3_build, %python3_install). You must also add %{?python_provide:%python_provide python3-%{srcname}} See https://fedoraproject.org/wiki/Packaging:Python#Example_common_spec_file
- Remove upstream's egg-info
- As far as I can tell, this package is not python3 only. Please enable python 2.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[X]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[X]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[X]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated". 5 files have unknown license. Detailed
     output of licensecheck in
     /tmp/1249313-python3-cmigemo/licensecheck.txt
[X]: Package contains no bundled libraries without FPC exception.
[X]: Changelog in prescribed format.
[X]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[X]: Package uses nothing in %doc for runtime.
[X]: Package consistently uses macros (instead of hard-coded directory
     names).
[X]: Package is named according to the Package Naming Guidelines.
[X]: Package does not generate any conflict.
[X]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[X]: Requires correct, justified where necessary.
[X]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[X]: Package is not known to require an ExcludeArch tag.
[X]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[X]: Python eggs must not download any dependencies during the build
     process.
[X]: A package which is used by another package via an egg interface should
     provide egg info.
[X]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[!]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[X]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[X]: Latest version is packaged.
[X]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: Package should compile and build into binary rpms on all supported
     architectures.
[X]: %check is present and all tests pass.
[X]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Spec file according to URL is the same as in SRPM.
     Note: Spec file as given by url is not the same as in SRPM (see
     attached diff).
     See: (this test has no URL)
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).


Rpmlint
-------
Checking: python3-cmigemo-0.1.6-1.fc24.noarch.rpm
          python3-cmigemo-0.1.6-1.fc24.src.rpm
python3-cmigemo.noarch: W: spelling-error %description -l en_US ctypes -> types, c types
python3-cmigemo.noarch: W: no-documentation
python3-cmigemo.src: W: spelling-error %description -l en_US ctypes -> types, c types
2 packages and 0 specfiles checked; 0 errors, 3 warnings.




Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
python3-cmigemo.noarch: W: no-documentation
1 packages and 0 specfiles checked; 0 errors, 1 warnings.



Diff spec file in url and in SRPM
---------------------------------
--- /tmp/1249313-python3-cmigemo/srpm/python3-cmigemo.spec	2015-09-26 11:18:45.738441062 +0200
+++ /tmp/1249313-python3-cmigemo/srpm-unpacked/python3-cmigemo.spec	2015-08-01 15:49:04.000000000 +0200
@@ -20,5 +20,6 @@
 
 %build
-%{__python3} setup.py build
+# Remove CFLAGS=... for noarch packages (unneeded)
+CFLAGS="%{optflags}" %{__python3} setup.py build
 
 %install


Requires
--------
python3-cmigemo (rpmlib, GLIBC filtered):
    python(abi)



Provides
--------
python3-cmigemo:
    python3-cmigemo



Source checksums
----------------
https://pypi.python.org/packages/source/c/cmigemo/cmigemo-0.1.6.tar.gz :
  CHECKSUM(SHA256) this package     : 7313aa3007f67600b066e04a4805e444563d151341deb330135b4dcdf6444626
  CHECKSUM(SHA256) upstream package : 7313aa3007f67600b066e04a4805e444563d151341deb330135b4dcdf6444626


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1249313
Buildroot used: fedora-rawhide-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 3 Julien Enselme 2015-10-18 08:35:44 UTC
> I hope I address all issues.

You do. Approved.

Comment 4 Upstream Release Monitoring 2015-11-01 13:24:32 UTC
hubbitus's scratch build of python-cmigemo-0.1.6-2.fc22.src.rpm for epel7 failed http://koji.fedoraproject.org/koji/taskinfo?taskID=11666085

Comment 5 Pavel Alexeev 2015-11-01 13:41:34 UTC
Thank you Julien. I have requested new package.

Would you like I review something from your packages?

Comment 6 Gwyn Ciesla 2015-11-02 14:13:18 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/python-cmigemo

Comment 7 Fedora Update System 2015-11-28 16:08:10 UTC
python-cmigemo-0.1.6-2.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-d12cbfba9b

Comment 8 Fedora Update System 2015-11-28 16:08:30 UTC
python-cmigemo-0.1.6-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-ebbae6069f

Comment 9 Fedora Update System 2015-11-29 00:53:45 UTC
python-cmigemo-0.1.6-2.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update python-cmigemo'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-d12cbfba9b

Comment 10 Fedora Update System 2015-11-29 02:22:24 UTC
python-cmigemo-0.1.6-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update python-cmigemo'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-ebbae6069f

Comment 11 Fedora Update System 2016-01-04 18:52:57 UTC
python-cmigemo-0.1.6-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2016-01-04 19:57:28 UTC
python-cmigemo-0.1.6-2.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.